Subject: Re: [manet] draft-shaio-manet-common-l3-interface

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 1 Apr 2015 11:37:25 +0000

Jack Shaio
> I believe the Local Attached Network set from OLSRv2 will only inform OLSRv2 of other interfaces that do not run this protocol.
> But this will not inform IP at the router of potential OSPF peers across the MANET, which is what our CL3 interface is for.

That's mixing up two things.

The Local Attached Network Set is in input into OLSRv2 from its environment. OLSRv2's use for it is to propagate it across the network to inform other routers' Attached Network Sets (no Local) which in turn inform the Routing Set. OLSRv2 supplies the Routing Set to its environment which, typically, uses it to set the local IP routing table. What matters about other routers across the MANET for simple routing is in the Routing Set. (The Attached Network Set may be accessible e.g. using a MIB.)

So IP at the router knows about other routers across the network in terms of how to route to them. It even has metric information about them, in OLSRv2 terms (which includes a term specific to the attached network). It doesn't (unmodified) know whether an attached network is just hosts, or another network running OSPF or any other alternative. The assumed model is that each network takes care of its only internal details, network A does not need the internal details of network B. That's the basic Internet approach. The question that I don't think is clear to anyone here is your use case and why it differs from that model.
********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 1 Apr 2015 11:41:27 +0000

You need to read further in that section, starting

   To ensure that the non-standards track Experimental and Informational
   designations are not misused to circumvent the Internet Standards
   Process

I'm not saying you are, I'm saying the rest of that section heavily modifies
your summary of your intention below.

Christopher Dearlove
Senior Principal Engineer
BAE Systems Applied Intelligence
__________________________________________________________________________

T:  +44 (0)1245 242194  |  E: [email-masked]

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN. 
www.baesystems.com/ai

-----Original Message-----
From: manet [mailto:[email-masked]] On Behalf Of Jack Shaio
Sent: 27 March 2015 13:33
To: Henning Rogge
Cc: Broderick, Don; Caleb Lo; [email-masked]
Subject: Re: [manet] draft-shaio-manet-common-l3-interface

I believe that is true of draft standards but not of Informational or Experimental drafts, which do not define a standard and are provided only as information for the IETF community. 

This is what I understood from the relevant section of RFC 2026 which defined the process: http://www.rfc-editor.org/rfc/rfc2026.txt 

4.2.3  Procedures for Experimental and Informational RFCs

   Unless they are the result of IETF Working Group action, documents
   intended to be published with Experimental or Informational status
   should be submitted directly to the RFC Editor.  The RFC Editor will
   publish any such documents as Internet-Drafts which have not already
   been so published.  In order to differentiate these Internet-Drafts
   they will be labeled or grouped in the I-D directory so they are
   easily recognizable.  The RFC Editor will wait two weeks after this
   publication for comments before proceeding further...
 
We thought this work was relevant to the manet WG and wanted to give the group another opportunity to comment on the draft first, before submitting directly to the RFC Editor as the procedures state.

--jack shaio

On Fri, 27 Mar 2015 13:20:47 +0100  Henning Rogge <[email-masked]> expounded:

=== Date: Fri, 27 Mar 2015 13:20:47 +0100 === From: Henning Rogge <[email-masked]> === To: "Broderick, Don" <[email-masked]>
=== Cc: "[email-masked]" <[email-masked]>, Caleb Lo <[email-masked]>,        "Jack Shaio ([email-masked])" <[email-masked]>
=== Subject: Re: [manet] draft-shaio-manet-common-l3-interface
===
=== Hi,
===
=== I think before a document can become a MANET RFC it needs to be === adopted by the working group.
===
=== Henning Rogge
===
=== On Thu, Mar 26, 2015 at 7:14 PM, Broderick, Don <[email-masked]> wrote:
=== > We are submitting
=== > http://datatracker.ietf.org/doc/draft-shaio-manet-common-l3-interface/ to be === > an Experimental RFC. It describes an approach to overlay IP over MANET but === > does not specify a protocol; rather the focus is on an interface between IP === > and MANET that is local to one terminal. The draft also presents results of === > large scale simulations of this approach. Our intent is to show that it is === > not necessary to standardize the interface between these two layers by === > prescribing a new message exchange between them.
=== >
=== >
=== >
=== > This draft was submitted to the MANET working group for 12 months and we are === > now asking if it can be moved to Experimental RFC status, based on our === > understanding of RFC 2026 section 4.2.
=== >
=== >
=== >
=== > Thank You,
=== >
=== > Donald Broderick
=== >
=== > The MITRE Corporation
=== >
=== > 202 Burlington Road
=== >
=== > Bedford, MA   01730
=== >
=== >
=== > _______________________________________________
=== > manet mailing list
=== > [email-masked]
=== > https://www.ietf.org/mailman/listinfo/manet
=== >

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet
********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************